Summary: Utility for making net-bootable sparc kernel image files
Name: piggyback
Version: 2.6.26
Release: 4%{?dist}
ExclusiveArch: sparcv9
License: GPLv2+
Group: System Environment/Kernel
URL: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git
# Downloaded Sun Sep 28, 2008
Source0: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob_plain;f=arch/sparc/boot/piggyback.c
# From: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob_plain;f=arch/sparc64/boot/piggyback.c
Source1: piggyback64.c
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: piggyback-startendcheck.patch
Patch1: piggyback-man.patch

%description
The piggyback utilities are designed to attach an initial ramdisk to an a.out 
format kernel image. Syntax: piggyback kernel.aout System.map initrd.img

%prep
%setup -q -T -c %{name}-%{version}
cp %{SOURCE0} %{SOURCE1} . 
%patch0 -p1
%patch1 -p1

%build
gcc $RPM_OPT_FLAGS -o piggyback piggyback.c
gcc $RPM_OPT_FLAGS -o piggyback64 piggyback64.c

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 piggyback $RPM_BUILD_ROOT%{_bindir}/piggyback
install -m 0755 piggyback64 $RPM_BUILD_ROOT%{_bindir}/piggyback64
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 0644 piggyback.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 0644 piggyback64.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/piggyback
%{_bindir}/piggyback64
%{_mandir}/man1/piggyback*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.26-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.26-2
- don't strip the binaries

* Sun Sep 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.26-1
- initial package for Fedora, update to 2.6.26 source

* Sun Dec 24 2006 Tom "spot" Callaway <tcallawa@redhat.com>
- rebuild for aurora3

* Wed Apr 12 2006 Tom "spot" Callaway <tcallawa@redhat.com>
- initial package from 2.6.16 kernel source
